Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Help: Cannot Install Boost
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
nelsonleezonhat
n00b
n00b


Joined: 01 Apr 2017
Posts: 4

PostPosted: Thu Jun 27, 2019 1:08 am    Post subject: Help: Cannot Install Boost Reply with quote

Hi everyone. I'm in a qemu chroot. My host is x86 64 bit and my guest is arm.

When I try to install boost, it always says Unable to load Boost.Build: could not find "boost-build.jam"

Thanks in advance.

----------------

Below is emerge --info '=dev-libs/boost-1.70.0::gentoo'

Code:
Portage 2.3.67 (python 3.6.5-final-0, default/linux/arm/17.0/armv7a, gcc-9.1.0, glibc-2.29-r2, 4.20.0-gentoo armv7l)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.20.0-gentoo-armv7l-AMD_Ryzen_5_2400G_with_Radeon_Vega_Graphics-with-gentoo-2.6
KiB Mem:    14286836 total,    868872 free
KiB Swap:   16777212 total,  16777212 free
Timestamp of repository gentoo: Tue, 25 Jun 2019 13:30:01 +0000
Head commit of repository gentoo: 8aa24fc2b82a9bcb8abc59890325d824691e8959
sh bash 5.0_p7
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash:          5.0_p7::gentoo
dev-lang/perl:            5.30.0::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.17::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            9.1.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

ACCEPT_KEYWORDS="arm ~arm"
ACCEPT_LICENSE="@FREE"
CBUILD="armv7a-unknown-linux-gnueabihf"
CFLAGS=" -mabi=aapcs-linux -march=armv7ve -mfix-cortex-m3-ldrd -mfp16-format=none -mfpu=vfpv3-d16 -mglibc -mlittle-endian -mpic-data-is-text-relative -mrestrict-it -msched-prolog -mthumb -mthumb-interwork -mtp=auto -munaligned-access -mvectorize-with-neon-quad -pipe -O3 -mfloat-abi=hard -fomit-frame-pointer -fno-stack-protector -ffast-math"
CHOST="armv7a-unknown-linux-gnueabihf"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS=" -mabi=aapcs-linux -march=armv7ve -mfix-cortex-m3-ldrd -mfp16-format=none -mfpu=vfpv3-d16 -mglibc -mlittle-endian -mpic-data-is-text-relative -mrestrict-it -msched-prolog -mthumb -mthumb-interwork -mtp=auto -munaligned-access -mvectorize-with-neon-quad -pipe -O3 -mfloat-abi=hard -fomit-frame-pointer -fno-stack-protector -ffast-math"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=armv7-a"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news noman parallel-fetch preserve-libs protect-owned sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersync"
FFLAGS="-O2 -pipe -march=armv7-a"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl arm armv5te armv6 armv6t2 berkdb bzip2 cli crypt cxx dri fortran gdbm iconv ipv6 ncurses nptl openmp pam pcre readline seccomp ssl tcpd unicode zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="edsp thumb thumb2 v4 v5 v6 v7 vfp" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="exynos fbdev omap dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

----------------

Below is build log

Code:
 * Package:    dev-libs/boost-1.70.0
 * Repository: gentoo
 * Maintainer: soap@gentoo.org office@gentoo.org
 * USE:        arm bzip2 elibc_glibc kernel_linux python python_targets_python2_7 python_targets_python3_6 threads userland_GNU zlib
 * FEATURES:   network-sandbox preserve-libs userpriv
>>> Unpacking source...
>>> Unpacking boost_1_70_0.tar.bz2 to /var/tmp/portage/dev-libs/boost-1.70.0/work
>>> Source unpacked in /var/tmp/portage/dev-libs/boost-1.70.0/work
>>> Preparing source in /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0 ...
 * Applying boost-1.48.0-disable_icu_rpath.patch ...                     [ ok ]
 * Applying boost-1.69.0-context-x32.patch ...                           [ ok ]
 * Applying boost-1.56.0-build-auto_index-tool.patch ...                 [ ok ]
 * Will copy sources from /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0
 * .arm: copying to /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0-.arm
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0 ...
 * .arm: running multilib-minimal_abi_src_compile
 * Creating configuration in /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0-.arm/user-config.jam
 * python2_7: running append_to_user_config
 * python3_6: running append_to_user_config
 * Disabling support for NumPy extensions in Boost.Python
 * python2_7: running append_to_b2_opts
 * python3_6: running append_to_b2_opts
b2 --user-config=/var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0-.arm/user-config.jam python=2.7 python=3.6 gentoorelease -j8 -q -d+2 pch=off --disable-icu boost.locale.icu=off --without-mpi --without-locale --without-context --without-coroutine --without-fiber --without-stacktrace --boost-build=/usr/share/boost-build --prefix=/var/tmp/portage/dev-libs/boost-1.70.0/image/usr --layout=system --no-cmake-config threading=multi link=shared -sNO_BZIP2=0 -sNO_LZMA=1 -sNO_ZLIB=0 -sNO_ZSTD=1
Unable to load Boost.Build: could not find "boost-build.jam"
---------------------------------------------------------------
BOOST_ROOT must be set, either in the environment, or
on the command-line with -sBOOST_ROOT=..., to the root
of the boost installation.

Attempted search from /var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0-.arm up to the root
at /usr/share/boost-build
and in these directories from BOOST_BUILD_PATH and BOOST_ROOT: /usr/share/boost-build.
Please consult the documentation at 'http://www.boost.org'.
 * ERROR: dev-libs/boost-1.70.0::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 3260:  Called multilib-minimal_src_compile
 *   environment, line 1644:  Called multilib_foreach_abi 'multilib-minimal_abi_src_compile'
 *   environment, line 1888:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1591:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1589:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_compile'
 *   environment, line  441:  Called multilib-minimal_abi_src_compile
 *   environment, line 1638:  Called multilib_src_compile
 *   environment, line 2108:  Called die
 * The specific snippet of code:
 *       ejam "${OPTIONS[@]}" || die;
 *
 * If you need support, post the output of `emerge --info '=dev-libs/boost-1.70.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/boost-1.70.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-libs/boost-1.70.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/boost-1.70.0/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0-.arm'
 * S: '/var/tmp/portage/dev-libs/boost-1.70.0/work/boost_1_70_0'


[Moderator edit: Moved poster's two self-responses into main post, then deleted those self-responses to return the thread to the unanswered list.

OP: Generally, if post length permits, you should edit extra information into your first post instead of replying to it. Some users run a canned search for threads with zero replies as a way of finding posts to answer. When you replied to yourself, you removed your thread from that list, even though you were not replying to announce that the thread was solved. Thus, they would no longer see your thread on the list of unanswered threads.

Added [code] tags to preserve output layout. -Hu]
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2117
Location: Frankfurt, Germany

PostPosted: Thu Jun 27, 2019 12:00 pm    Post subject: Reply with quote

Code:
ACCEPT_KEYWORDS="arm ~arm"

Code:
emerge --info '=dev-libs/boost-1.70.0::gentoo'

Code:
# grep boost /usr/portage/profiles/package.mask
>=dev-libs/boost-1.70.0
>=dev-util/boost-build-1.70.0

So you switched to the unstable/testing branch and you are trying to install a MASKED package... And you are surprised that you get strange error messages?

https://wiki.gentoo.org/wiki/Handbook:AMD64/Full/Portage wrote:
It is recommended to stick with the stable branch.
...
Beware though; using the testing branch might incur stability issues, imperfect package handling (for instance wrong/missing dependencies), too frequent updates (resulting in lots of building) or broken packages. Users that do not know how Gentoo works and how to solve problems, we recommend to stick with the stable and tested branch.
Back to top
View user's profile Send private message
nelsonleezonhat
n00b
n00b


Joined: 01 Apr 2017
Posts: 4

PostPosted: Thu Jun 27, 2019 1:22 pm    Post subject: Reply with quote

Sorry, forgot to mention. I did try 1.65.0. The same symptom.
Back to top
View user's profile Send private message
nelsonleezonhat
n00b
n00b


Joined: 01 Apr 2017
Posts: 4

PostPosted: Sun Jun 30, 2019 12:57 am    Post subject: Reply with quote

Hi everyone. I finally solved the issue (partially).

It turned out boost-build is broken and it wouldn't be fixed by reinstalling it along with its dependency (glibc) even if I set ccflags extra safe. The issue is this build of boost-build always says Unable to load Boost.Build: could not find "boost-build.jam"

I finally was able to fix it by copying from AMD64 host (native) boost-build and dependent libraries.

I know this is only a temporary fix and will reappear next time I try to upgrade it. I'm still confused as why this is happening. I'd be grateful if anyone can help me in finding out the reason and the long term solution.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum